Accounts APISandbox
Process an simulated incoming transaction
This endpoint receives and processes a simulated incoming transaction.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Header Parameters
X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
Request Body
application/json
Payload of the SimulatedIncomingTransaction event.
TypeScript Definitions
Use the request body type in TypeScript.
The main object representing a processed incoming payment event.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/payin" \ -H "X-Volt-Api-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "externalPaymentId": "a1b2c3d4-e5f6-7890-1234-567890abcdef", "paymentReference": "TXNREF-20251001-XYZ-987", "amount": { "amount": 123, "currency": "PLN" }, "sender": { "name": "John Doe", "accountIdentifiers": { "iban": "DE89370400440532013000" } }, "beneficiary": { "accountIdentifiers": { "iban": "DE89370400440532013000" } } }'Empty
{ "code": "BAD_REQUEST", "message": "string"}{ "code": "UNAUTHORISED", "message": "string"}{ "code": "ACCESS_DENIED", "message": "string"}{ "code": "RESOURCE_NOT_FOUND", "message": "string"}{ "code": "METHOD_NOT_SUPPORTED", "message": "string"}{ "code": "MEDIA_TYPE_NOT_ACCEPTABLE", "message": "string"}{ "code": "CONFLICT", "message": "string"}{ "code": "UNSUPPORTED_MEDIA_TYPE", "message": "string"}{ "code": "VALIDATION_FAILURE", "message": "string", "errors": [ { "type": "TOO_FEW", "propertyPath": "string", "message": "string" } ]}{ "code": "INTERNAL_SERVER_ERROR", "message": "string"}